<div id="<?= $this->getId('wrapper'); ?>" class="field-geolocation-wrapper">
<?php if ($this->previewMode): ?>
    <div
        data-role="map"
        class="field-geolocation-map"
        <?php if ($this->mapHeight): ?>style="height:<?= $this->mapHeight; ?>;"<?php endif; ?>
    ></div>

    <script type="text/javascript">
        GeoLocationWidget(document.getElementById("<?= $this->getId('wrapper'); ?>"), {
            preview: true,
            lat: <?= $value['lat'] ?? 'null'; ?>,
            lng: <?= $value['lng'] ?? 'null'; ?>,
            placeholder: '<?= trans('studiobosco.helpers::geolocationwidget.search_placeholder') ?>',
        });
    </script>

<?php else: ?>
    <div
        data-role="map"
        class="field-geolocation-map"
        <?php if ($this->mapHeight): ?>style="height:<?= $this->mapHeight; ?>;"<?php endif; ?>
    ></div>

    <script type="text/javascript">
        GeoLocationWidget(document.getElementById("<?= $this->getId('wrapper'); ?>"), {
            preview: false,
            lat: <?= $value['lat'] ?? 'null'; ?>,
            lng: <?= $value['lng'] ?? 'null'; ?>,
            searchId: '<?= $this->getId('search'); ?>',
            latField: 'input[name="<?= $latFieldName; ?>"]',
            lngField: 'input[name="<?= $lngFieldName; ?>"]',
            placeholder: '<?= trans('studiobosco.helpers::geolocationwidget.search_placeholder') ?>',
        });
    </script>

<?php endif ?>
</div>
